NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::BlendCornerBuilder Class Reference

Represents a NXOpen::Features::BlendCorner builder. More...

Inheritance diagram for NXOpen::Features::BlendCornerBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ContinuityTypes { ContinuityTypesG1, ContinuityTypesG2 }
 Continuity options. More...
 

Public Member Functions

bool AllowTransitionCurveOnBlends ()
 Returns the transition curve on blend faces
Created in NX9.0.0. More...
 
double AngleTolerance ()
 Returns the angle tolerance. More...
 
NXOpen::PointCenterPoint ()
 Returns the center point. More...
 
NXOpen::Features::BlendCornerBuilder::ContinuityTypes Continuity ()
 Returns the continuity type
Created in NX9.0.0. More...
 
NXOpen::GeometricUtilities::BlendSetbackBuilderCreateBlendSetbackBuilder ()
 Create a blend setback builder object. More...
 
NXOpen::GeometricUtilities::TransitionCurveBuilderCreateTransitionCurveBuilder ()
 Create a transition curve data builder object. More...
 
double DistanceTolerance ()
 Returns the distance tolerance. More...
 
NXOpen::ExpressionFullness ()
 Returns the fullness value. More...
 
NXOpen::GeometricUtilities::BlendSetbackBuilderListLimitCurveList ()
 Returns the limit curve list
Created in NX9.0.0. More...
 
void SetAllowTransitionCurveOnBlends (bool allow)
 Sets the transition curve on blend faces
Created in NX9.0.0. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance. More...
 
void SetCenterPoint (NXOpen::Point *centerPoint)
 Sets the center point. More...
 
void SetContinuity (NXOpen::Features::BlendCornerBuilder::ContinuityTypes continuity)
 Sets the continuity type
Created in NX9.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance. More...
 
void SetSewToBody (bool sewToBody)
 Sets the sew to body
Created in NX9.0.0. More...
 
void SetUseCenterPoint (bool useCenterPoint)
 Sets the use center point flag. More...
 
bool SewToBody ()
 Returns the sew to body
Created in NX9.0.0. More...
 
NXOpen::GeometricUtilities::TransitionCurveBuilderListTransitionCurveList ()
 Returns the transition curve list
Created in NX9.0.0. More...
 
bool UseCenterPoint ()
 Returns the use center point flag. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::BlendCorner builder.


To create a new instance of this class, use NXOpen::Features::FreeformSurfaceCollection::CreateBlendCornerBuilder
Default values.

Property Value

AllowTransitionCurveOnBlends

1

Continuity

G1

Fullness.Value

0 (millimeters part), 0 (inches part)

SewToBody

1

UseCenterPoint

0


Created in NX9.0.0.

Member Enumeration Documentation

Continuity options.

Enumerator
ContinuityTypesG1 

Tangent continuity.

ContinuityTypesG2 

Curvature continuity.

Member Function Documentation

bool NXOpen::Features::BlendCornerBuilder::AllowTransitionCurveOnBlends ( )

Returns the transition curve on blend faces
Created in NX9.0.0.



License requirements : None

double NXOpen::Features::BlendCornerBuilder::AngleTolerance ( )

Returns the angle tolerance.

It will be used to control the tangency of the curves and corner surface
Created in NX9.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::BlendCornerBuilder::CenterPoint ( )

Returns the center point.

The corner patch will pass through the center point.
Created in NX9.0.0.

License requirements : None

NXOpen::Features::BlendCornerBuilder::ContinuityTypes NXOpen::Features::BlendCornerBuilder::Continuity ( )

Returns the continuity type
Created in NX9.0.0.



License requirements : None

NXOpen::GeometricUtilities::BlendSetbackBuilder* NXOpen::Features::BlendCornerBuilder::CreateBlendSetbackBuilder ( )

Create a blend setback builder object.

Returns

Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")
NXOpen::GeometricUtilities::TransitionCurveBuilder* NXOpen::Features::BlendCornerBuilder::CreateTransitionCurveBuilder ( )

Create a transition curve data builder object.

Returns

Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")
double NXOpen::Features::BlendCornerBuilder::DistanceTolerance ( )

Returns the distance tolerance.

It will be used to control the precision of curves and corner surface
Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BlendCornerBuilder::Fullness ( )

Returns the fullness value.

It is an offset distance of the center point from the default position when the center point control is off.
Created in NX9.0.0.

License requirements : None

NXOpen::GeometricUtilities::BlendSetbackBuilderList* NXOpen::Features::BlendCornerBuilder::LimitCurveList ( )

Returns the limit curve list
Created in NX9.0.0.



License requirements : None

void NXOpen::Features::BlendCornerBuilder::SetAllowTransitionCurveOnBlends ( bool  allow)

Sets the transition curve on blend faces
Created in NX9.0.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
allowallow
void NXOpen::Features::BlendCornerBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance.

It will be used to control the tangency of the curves and corner surface
Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
angleToleranceangletolerance
void NXOpen::Features::BlendCornerBuilder::SetCenterPoint ( NXOpen::Point centerPoint)

Sets the center point.

The corner patch will pass through the center point.
Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
centerPointcenterpoint
void NXOpen::Features::BlendCornerBuilder::SetContinuity ( NXOpen::Features::BlendCornerBuilder::ContinuityTypes  continuity)

Sets the continuity type
Created in NX9.0.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
continuitycontinuity
void NXOpen::Features::BlendCornerBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance.

It will be used to control the precision of curves and corner surface
Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::BlendCornerBuilder::SetSewToBody ( bool  sewToBody)

Sets the sew to body
Created in NX9.0.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
sewToBodysewtobody
void NXOpen::Features::BlendCornerBuilder::SetUseCenterPoint ( bool  useCenterPoint)

Sets the use center point flag.

It will enable/disable the shape fullness control. When the control is enabled, the patch surface will pass through the specified center point.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
useCenterPointusecenterpoint
bool NXOpen::Features::BlendCornerBuilder::SewToBody ( )

Returns the sew to body
Created in NX9.0.0.



License requirements : None

NXOpen::GeometricUtilities::TransitionCurveBuilderList* NXOpen::Features::BlendCornerBuilder::TransitionCurveList ( )

Returns the transition curve list
Created in NX9.0.0.



License requirements : None

bool NXOpen::Features::BlendCornerBuilder::UseCenterPoint ( )

Returns the use center point flag.

It will enable/disable the shape fullness control. When the control is enabled, the patch surface will pass through the specified center point.


Created in NX9.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.